{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "legacy:enchanter_illager",
      "min_engine_version": "1.8.0",
      "materials": {
        "default": "enderman",
        "glow": "entity_emissive_alpha"
      },
      "textures": {
        "default": "textures/entity/enchanterillager/enchanter_illager",
        "desert": "textures/entity/enchanterillager/desert",
        "jungle": "textures/entity/enchanterillager/jungle",
        "savanna": "textures/entity/enchanterillager/savanna",
        "snow": "textures/entity/enchanterillager/snow",
        "swamp": "textures/entity/enchanterillager/swamp",
        "taiga": "textures/entity/enchanterillager/taiga",
        "casting": "textures/entity/enchanterillager/enchanter_eyes"
      },
      "geometry": {
        "default": "geometry.enchanter"
      },
      "scripts": {
        "scale": "0.9375",
        "animate": [
          "controller_general",
          "controller_move",
          "controller_riding"
        ]
      },
      "animations": {
        "general": "animation.enchanter.general",
        "admire": "animation.piglin.admire",
        "casting": "animation.enchanter.casting_v4",
        "look_at_target": "animation.common.look_at_target",
        "move": "animation.villager.move",
        "celebrating": "animation.humanoid.celebrating",
        "riding.arms": "animation.vindicator.riding.arms",
        "riding.legs": "animation.vindicator.riding.legs",
        "controller_general": "controller.animation.enchanter.general",
        "controller_move": "controller.animation.villager.move",
        "controller_riding": "controller.animation.humanoid.riding"
      },
      "particle_effects": {
        "spell": "legacy:enchanter_spell"
      },
      "render_controllers": [
        "controller.render.enchanter_eyes",
        "controller.render.evoker"
      ],
      "enable_attachables": true,
      "hide_armor": true,
      "spawn_egg": {
        "base_color": "#9E2439",
        "overlay_color": "#34C1D1"
      }
    }
  }
}